import * as ec2 from '@aws-cdk/aws-ec2';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface DockerEc2Props {
    /**
     * stack file URI.
     *
     * @default https://raw.githubusercontent.com/briancaffey/django-step-by-step/dev/stack.yml
     * @stability stable
     */
    readonly stackFileUri?: string;
    /**
     * Path to the Dockerfile.
     *
     * @stability stable
     */
    readonly imageDirectory: string;
    /**
     * Frontend Image directory (nginx, quasar-app).
     *
     * @stability stable
     */
    readonly frontendImageDirectory: string;
    /**
     * Frontend Image Dockerfile.
     *
     * @stability stable
     */
    readonly frontendImageDockerfile: string;
    /**
     * @stability stable
     */
    readonly zoneName: string;
    /**
     * The domain name to use, such as example.my-zone.com.
     *
     * @stability stable
     */
    readonly domainName: string;
    /**
     * The name of the key pair to use for SSH access.
     *
     * @stability stable
     */
    readonly keyName: string;
}
/**
 * @stability stable
 */
export declare class DockerEc2 extends cdk.Construct {
    /**
     * @stability stable
     */
    vpc: ec2.IVpc;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: DockerEc2Props);
}
